Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# FileInputSource Class Reference
[IO core interfaces]

Inheritance diagram for FileInputSource:

## Detailed Description

Reads data from file with OS services.

## Public Methods

| FileInputSource (const String *basePath, FileInputSource *base)
const String * | getLocation () const
const byte * | openStream ()
void | closeStream ()
int | length () const

## Protected Methods

InputSource * | createRelative (const String *relPath)

## Protected Attributes

String * | baseLocation
byte * | stream
int | len

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:56 2003 by doxygen 1.3-rc2.